## poppler 0.12.2-2.1.maemo5v1

=== debian/changelog ===
poppler (0.12.2-2.1.maemo5v1) fremantle; urgency=low

  * Optified for Fremantle.
  * Removed QT packages.

 -- Ricky Brent <debpkg@rickybrent.com>  Mon, 25 Jan 2010 09:21:25 -0800

poppler (0.12.2-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-3938 (Closes: #534680)

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 22 Dec 2009 16:11:27 +0100

poppler (0.12.2-2) unstable; urgency=low

  * Switch to quilt to manage patches.
  * 01_revert_abi_change.patch: revert upstream commit that introduced 
    an ABI change in a stable release. Closes: #558463.
  * 02_autohinting_abi_compatibility.patch: revert part of another 
    upstream commit for a similar reason.

 -- Josselin Mouette <joss@debian.org>  Mon, 30 Nov 2009 16:51:53 +0100

poppler (0.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sat, 28 Nov 2009 13:24:28 +0100

poppler (0.12.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include fofi/*.h in /usr/include/poppler/fofi. Closes: #553445.

 -- Matt Kraai <kraai@debian.org>  Tue, 10 Nov 2009 19:51:32 -0800

poppler (0.12.0-2) unstable; urgency=low

  * copyright: add complete list of copyright holders.
  * Upload to unstable. Hold on to your pants.

 -- Josselin Mouette <joss@debian.org>  Sat, 17 Oct 2009 10:48:03 +0200

poppler (0.12.0-1) experimental; urgency=low

  * New upstream release. Closes: #530731.
  * Rename libpoppler4 to libpoppler5.
  * Bump shlibs versions.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 16:39:17 +0200

poppler (0.10.6-1) unstable; urgency=critical

  * Fix section for the debug package.
  * New upstream release.
    + Fix problems that happen when parsing broken JBIG2 files.
      CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180,
      CVE-2009-1181, CVE-2009-1182, CVE-2009-1183, CVE-2009-1187, 
      CVE-2009-1188.
  * Bump libqt4 requirement.
  * 10_jpxstream_int_crash.patch: removed, upstream has merged a 
    different fix quite a while ago.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Apr 2009 18:30:04 +0200

poppler (0.10.5-1) unstable; urgency=low

  [ Pino Toscano ]
  * New upstream release, no API nor ABI changes.
    + Fixes crash when rendering documents with optional content.
      (Closes: #519494)
  * Remove lintian override for poppler-dbg, which is no more needed with
    lintian >= 2.2.1.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Apr 2009 15:19:53 +0200

poppler (0.10.4-3) unstable; urgency=low

  * Revert previous upload, now openjpeg was built successfully on 
    alpha.
  * Build-depend on libglib2.0-doc to ensure proper xrefs.

 -- Josselin Mouette <joss@debian.org>  Tue, 10 Mar 2009 12:03:06 +0100

poppler (0.10.4-2) unstable; urgency=low

  * Don’t require openjpeg on alpha, since it doesn’t build there.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 03:33:50 +0100

poppler (0.10.4-1) unstable; urgency=low

  [ Pino Toscano ]
  * New upstream stable release, with ABI and API changes wrt poppler 0.8.
    - Rename libpoppler3 to libpoppler4, libpoppler-glib3 to libpoppler-glib4;
      libpoppler-qt2 and libpoppler-qt4-3 are not renamed; update control,
      DEB_DH_MAKESHLIBS_ARGS_* in rules, and rename install files.
    - Add shlib version for libpoppler-qt4-3.
    - Drop patches 60_manpages-cfg-flag.patch, 61_manpages-hyphens.patch, and
      62_pdftops-mandatory-arg.patch, merged upstream.
  * Build-dep on libopenjpeg-dev for better JPEG2000 reading.

  [ Josselin Mouette ]
  * Build-depend explicitly on libjpeg-dev, libfreetype6-dev and 
    libxml2-dev.
  * Bump requirement on libqt4-dev.

 -- Josselin Mouette <joss@debian.org>  Fri, 06 Mar 2009 12:54:09 +0100

poppler (0.8.7-1) unstable; urgency=low

  * Bump up Standards-Version to 3.8.0.
  * New patch, 61_manpages-hyphens, fixes escaping of hyphens in man pages;
    FreeDesktop #17225.
  * New patch, 62_pdftops-mandatory-arg, fixes synopsis of pdftops in man page
    to clarify that a PDF file is required in all cases; FreeDesktop #17226;
    closes: #491816.
  * Build-dep on cdbs (>= 0.4.52) and add a lintian override with rationale
    for the following lintian warning:
    W: poppler-dbg: dbg-package-missing-depends poppler
  * Add xrefs and CVE for #489756 in 0.8.5-1 as I didn't merge the 0.8.4-1.1
    NMU.
  * New upstream release; no API change, bug fixes.

 -- Loic Minier <lool@dooz.org>  Wed, 20 Aug 2008 17:36:12 +0200

poppler (0.8.6-1) unstable; urgency=low

  * Fix /usr/share/gtk-doc/html/poppler symlink to point at
    /usr/share/doc/libpoppler-glib-dev/html/poppler instead of
    /usr/share/doc/libpoppler-glib-dev/html; LP: #226677.
  * New upstream stable release; bug fixes, no API change.
  * New patch, 60_manpages-cfg-flag, drop unimplemented -cfg flag from man
    pages; FreeDesktop #17222; closes: #461961.
  * Rename patch 001_jpxstream_int_crash to 10_jpxstream_int_crash as we don't
    have that many patches; also add upstream bug id (FreeDesktop #5667) and
    refresh to apply cleanly.
  * Build-dep on pkg-config >= 0.18 to make sure -lpoppler is only in
    poppler-qt's Libs.private (it already is though); closes: #360595.

 -- Loic Minier <lool@dooz.org>  Fri, 01 Aug 2008 15:04:05 +0200

poppler (0.8.5-1) unstable; urgency=low

  * New upstream release; no API changes, misc fixes.
    - Initializes pageWidgets in Page.cc, otherwise it can be a rubbish
      pointer as Annots is not a valid object; upstream commit
      fd0bf8b05cb155e2f29df31fa01964b12e710b89; CVE-2008-2950;
      closes: #489756.

 -- Loic Minier <lool@dooz.org>  Wed, 30 Jul 2008 14:52:42 +0200

poppler (0.8.4-1) unstable; urgency=low

  * New upstream release; no API change.
    - Fixes crash when reloading PDFs; GNOME #536482; closes: 484160.

 -- Loic Minier <lool@dooz.org>  Mon, 30 Jun 2008 10:44:16 +0200

poppler (0.8.3-1) unstable; urgency=low

  * New upstream release. Closes: #487214.

