=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ricky Brent <debpkg@rickybrent.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Dave Beckett <dajobe@debian.org>,
           Ross Burton <ross@debian.org>
Build-Depends: cdbs (>= 0.4.52),
               debhelper (>= 5),
               quilt,
               autotools-dev,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.6),
               libgtk2.0-dev (>= 2.12),
               libfontconfig1-dev,
               libglade2-dev,
               libcairo2-dev (>= 1.8.4),
               libopenjpeg-dev,
               libjpeg-dev,
               libpng-dev,
               liblcms-dev,
               libfreetype6-dev,
               libxml2-dev,
               gtk-doc-tools (>= 1.0),
               pkg-config (>= 0.18),
               libglib2.0-doc,
               maemo-optify
Standards-Version: 3.8.1

Package: libpoppler5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the shared library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler5 (= ${binary:Version}),
         libfontconfig1-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using Poppler.

Package: libpoppler-glib4
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib4 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.12),
         libpango1.0-dev,
         libcairo2-dev (>= 1.8.4),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides a GLib-style interface to Poppler.

Package: poppler-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ghostscript
Conflicts: xpdf-utils,
           pdftohtml (<< 0.36-14)
Replaces: xpdf-utils,
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilitites (based on libpoppler)
 This package contains pdftops (PDF to PostScript converter), pdfinfo
 (PDF document information extractor), pdfimages (PDF image extractor),
 pdftohtml (PDF to HTML converter), pdftotext (PDF to text converter),
 and pdffonts (PDF font analyzer).

Package: poppler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libpoppler5 (= ${binary:Version}),
         ${shlibs:Depends}
Description: PDF rendering library - detached debugging symbols
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the detached debugging symbols.
