=== debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/debhelper-opt.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk

# use qt4's moc as the default moc is qt3's when both are installed
PATH := /usr/share/qt4/bin:$(PATH)
export PATH

# a trick to fix xpdfrc location without modifying autotools stuff
DEB_CONFIGURE_SYSCONFDI := /etc/xpdf
# disable gtk stuff to minimize Build-Depends
DEB_CONFIGURE_EXTRA_FLAGS +=			\
	--enable-libjpeg			\
	--enable-splash-output			\
	--enable-cairo-output			\
	--enable-poppler-glib			\
	--disable-poppler-qt			\
	--disable-poppler-qt4			\
	--enable-a4-paper			\
	--enable-gtk-doc			\
	--disable-gtk-test

DEB_DH_MAKESHLIBS_ARGS_libpoppler5 += -V"libpoppler5"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib4 += -V"libpoppler-glib4 (>= 0.12)"
