## poppler 0.16.4

=== debian/changelog ===
poppler (0.16.4-0ubuntu1.1) natty-proposed; urgency=low

  * debian/patches/11_set-font-weight-medium.patch: added
    - set FC_WEIGHT_MEDIUM when the font name contains "Medium", LP: #769827

 -- Nobuto MURATA <nobuto@nobuto-murata.org>  Mon, 25 Apr 2011 12:11:24 -0400

poppler (0.16.4-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@debian.org>  Tue, 05 Apr 2011 16:23:40 +0200

poppler (0.16.3-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - debian/control: Lower poppler-data to Suggests: (handled by
      language-selector).
    - Add 10_fix-a4-page-shift-on-brother-ps-printers.patch: Fix page shifts
      when printing on A4 paper with Brother PostScript printers.
      (LP #293832)
    - debian/control, debian/rules: Disable OpenJPEG, it's in universe.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Mar 2011 10:46:40 +0100

poppler (0.16.3-1) experimental; urgency=low

  [ Pino Toscano ]
  * New upstream release: (Closes: #567817, #585434, #592534, #601179, #611874)
    - fixes thread-unsafe usage of strtok(). (Closes: #533426)
    - pdftohtml correctly rotates images. (Closes: #506785)
    - pdftoppm tests correctly for rotation. (Closes: #614831)
    - fixes text highlighting. (Closes: #463963)
    - fixes image rescaling with cairo. (Closes: #533138)
    - fixes/hides some "Illegal entry in bfrange block in ToUnicode CMap"
      errors. (Closes: #578050)
    - fixes a pdftotext crash. (Closes: #611124)
  * Update patches:
    - 01_revert_abi_change.patch: remove, obsolete
    - 02_autohinting_abi_compatibility.patch: remove, obsolete
    - 03_CVE-2009-3938.patch: add two DEP3 headers (with bug number)
    - 04_security.patch: remove, applied upstream
  * Drop Qt 3 frontend, unused in Debian (and will no more be provided with
    Poppler 0.18). (Closes: #604370, #558951)
  * Rename packages according to the new SONAMEs:
    - libpoppler5 -> libpoppler13
    - libpoppler-glib4 -> libpoppler-glib6
  * Update shlib depends for libpoppler-qt4-3.
  * Add packages for the new CPP frontend (libpoppler-cpp0).
  * Update build-dependencies and dependencies:
    - Bump libglib2.0-dev, libcairo2-dev, gtk-doc-tools, and libqt4-dev
      to the versions required upstream.
    - Remove obsolete B-D: libqt3-mt-dev, libglade2-dev.
    - libpoppler-glib-dev: add libgtk2.0-dev (Closes: #540582), remove
      libpango1.0-dev.
  * Update configure arguments:
    - Add: --enable-xpdf-headers
    - Remove: --enable-a4-paper
  * Update copyright, adding a small clarifying text that the Poppler license
    is GPL v2 only. (Closes: #611259)
  * Bump debhelper compatibility to 7:
    - Update .install files accordingly.
  * libpoppler-dev.install: Avoid installing all the poppler private headers
    (even those that will not work), but rely on what poppler installs
    and manually copy the few "useful".
  * rules: include /usr/share/cdbs/1/rules/utils.mk for list-missing.
  * Add myself to the Uploaders.
  * Add Homepage field in control.
  * Improve descriptions of most of the packages.

  [ Michael Gilbert ]
  * Recommend poppler-data (closes: #584503).
  * Fix a typo (closes: #582527).
  * Update to source format 3.0 (quilt).
    - Drop explicit quilt dependency.
  * Bump standards version to 3.8.4 (no changes required).
  * Add copyright dates to copyright file as stated in README-XPDF.
  * Add manpage for pdftoabw (closes: #505147).

 -- Josselin Mouette <joss@debian.org>  Thu, 03 Mar 2011 22:14:46 +0100

poppler (0.12.4-1.2) unstable; urgency=medium

  * Non-maintainer upload by the Security Team
  * Fix CVE-2010-3702, CVE-2010-3703, CVE-2010-3704 and several crashers
    (Closes:#599165)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 23 Oct 2010 15:59:04 +0200

poppler (0.12.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Do not conflict with newer versions of xpdf-utils (closes: #586620).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 06 Aug 2010 18:51:54 -0400

poppler (0.12.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Qt requirements.

 -- Josselin Mouette <joss@debian.org>  Fri, 16 Apr 2010 19:22:34 +0200
