## poppler 0.16.7

=== debian/changelog ===
poppler (0.16.7-3) unstable; urgency=low

  [ Michael Gilbert ]
  * Bump standards to 3.9.2.
  * Remove automatically generated glib reference files in clean rule (this
    prevents automatic generation of a debian patch on a second build run.

  [ Pino Toscano ]
  * Switch to my @debian.org address, I'm a DD now.
  * Add a libpoppler-private-dev package: it will contain the private
    poppler core headers, but at the moment it is empty to allow sources
    to migrate their (build-)dependencies from libpoppler-dev to it.
  * control: add Vcs-Browser and Vcs-Git headers.
  * control: fix some of the conflict/replaces relations in poppler-utils:
    - xpdf-utils: properly set the version for it, and turn into a
      breaks/replaces (see also #586620)
    - pdftohtml: remove the version, since any newer version would always
      conflict with the one in poppler-utils

 -- Pino Toscano <pino@debian.org>  Fri, 10 Feb 2012 23:59:28 +0100

poppler (0.16.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Pino Toscano <pino@kde.org>  Fri, 01 Jul 2011 22:29:43 +0200

poppler (0.16.7-1) experimental; urgency=low

  * New upstream release.
  * Make sure to really disable the gobject introspection for configure.
  * Few touches to descriptions:
    - Fix typo in libpoppler-cpp0.
    - Correctly capitalize "Xpdf".
  * Update copyright.
  * Enable as-needed linking:
    - Import the ltmain-as-needed.diff (refreshed) patch to allow to pass
      -Wl,--as-needed at the beginning of autotools linking lines
    - set LDFLAGS to "-Wl,--as-needed"
  * Drop abiword support, buggy and dropped in Poppler 0.18:
    (Closes: #521456, #618634)
    - rules: add --disable-abiword-output
    - control: remove the libxml2-dev build-dependency and the pdftoabw
      references in the poppler-utils description
    - drop patch 03_CVE-2009-3938.patch, no more needed now
    - drop pdftoabw.1 manpage
    - libpoppler-dev.install: stop installing ABWOutputDev.h

 -- Pino Toscano <pino@kde.org>  Fri, 01 Jul 2011 00:47:07 +0200
