=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,15 @@
 PATH := /usr/share/qt4/bin:$(PATH)
 export PATH
 
+# avoid overlinking and reduce library dependencies
+export LDFLAGS := -Wl,--as-needed
+
 # a trick to fix xpdfrc location without modifying autotools stuff
 DEB_CONFIGURE_SYSCONFDIR := /etc/xpdf
 
 # disable gtk stuff to minimize Build-Depends
 DEB_CONFIGURE_EXTRA_FLAGS +=			\
 	--enable-libjpeg			\
-	--disable-openjpeg			\
 	--enable-splash-output			\
 	--enable-cairo-output			\
 	--enable-poppler-glib			\
@@ -23,9 +25,15 @@
 	--enable-gtk-doc			\
 	--enable-xpdf-headers			\
 	--disable-poppler-qt			\
+	--enable-introspection=no		\
+	--disable-abiword-output		\
 	--disable-gtk-test
 
 DEB_DH_MAKESHLIBS_ARGS_libpoppler13 += -V"libpoppler13"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib6 += -V"libpoppler-glib6 (>= 0.16)"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt4-3 += -V"libpoppler-qt4-3 (>= 0.16)"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler-cpp0 += -V"libpoppler-cpp0 (>= 0.16)"
+
+clean::
+	dh_clean
+	rm -f glib/reference/html/*
